Why is C90 enforced in KDE?

Thiago Macieira thiago at kde.org
Tue Dec 8 03:14:55 GMT 2015


On Monday 07 December 2015 09:29:59 Thomas L├╝bking wrote:
> Either way, Qt5 supports down to MSVC 2010, Qt4 down to MSVC 2008, so either
> we

Qt 5.6 supports MSVC 2008. Qt 5.7 raises the minimum to MSVC 2012.

Neither compiler supports stdint.h or some other nice C99 functions, like 
isnanf. You need MSVC 2013 for that.
-- 
Thiago Macieira - thiago (AT) macieira.info - thiago (AT) kde.org
   Software Architect - Intel Open Source Technology Center
      PGP/GPG: 0x6EF45358; fingerprint:
      E067 918B B660 DBD1 105C  966C 33F5 F005 6EF4 5358





More information about the kde-core-devel mailing list